IBM Support

PI99477: Ship Java 8 SR5 FP17 for WebSphere Application Server traditional bundled Java 8

Download


Abstract

Ship Java 8 SR5 FP17 for WebSphere Application Server traditional bundled Java 8

Download Description

ERROR DESCRIPTION: 
Ship Java 8 SR5 FP17 for WebSphere Application Server traditional bundled Java 8 

LOCAL FIX: 
None

PROBLEM SUMMARY: 
Ship Java 8 SR5 FP17 for WebSphere Application Server traditional bundled Java 8 

USERS AFFECTED:
This combination of WebSphere Application Server and Java is available with fix pack 8.5.5.11 and later, which is the first WebSphere 8.5.5 fix pack to support bundled Java 8.

This i-fix includes two possible upgrade scenarios:
a) If applied to WebSphere 8.5.5.11 or later where bundled Java 8 is installed, it will upgrade your bundled Java 8 to SR5 FP17.
b) If applied to WebSphere 8.5.5.11 or later where the original Java 6 is installed, it will remove Java 6  and replace it with bundled Java 8 SR5 FP17.  All profiles and WebSphere infrastructure will be upgraded to use bundled Java 8.

Linux PPC64 LE does not support bundled Java 8 at this time, since the existing bundled Java on that platform is Java 7.1, and it is not going out of service yet.  Please continue to use the Java 8 extension offering for your Java 8 needs on this platform.

PROBLEM DESCRIPTION: 
Ship Java 8 SR5 FP17 for WebSphere Application Server traditional bundled Java 8 

RECOMMENDATION:
Apply this i-fix to your SDK to upgrade or install bundled Java 8 to Java 8 SR5 FP17.

NOTE:
This i-fix includes two possible upgrade scenarios:
a) If applied to WebSphere 8.5.5.11 or later where bundled Java 8 is installed, it will upgrade your bundled Java 8 to SR5 FP17.
b) If applied to WebSphere 8.5.5.11 or later where the original Java 6 is installed, it will remove Java 6, and replace it with Java 8 SR5 FP17.  All profiles and WebSphere infrastructure will be updgraded to use bundled Java 8.

NOTE:
This i-fix will back up, and then replace the WAS_HOME/java1.8_xx/jre/lib/security/java.security file.  This file contains a security fix that is critical to keeping your environment secure.  The back up file will be placed at WAS_HOME/java1.8_xx/jre/lib/security/java.security.bak.  If you have previously updated this file, you will need to merge your changes into the new copy.

PROBLEM CONCLUSION:                                            
Applying this apar will upgrade or install bundled Java 8 to Java 8 SR5 FP17 (Oracle 1.8.0_u171 ).

The fixes in this Java SDK are found here:
https://www.ibm.com/developerworks/java/jdk/fixes/8/#SR5FP17

When downloading the fix from fix central, please also download the readme.txt with instructions for installation.

This Java SDK level was minimally tested with WebSphere 8.5.5.13, the last shipped WebSphere 8.5 fix pack.
 


Download RELEASE DATE LANGUAGE SIZE(Bytes) Download Options
What is Fix Central(FC)?
AIX 32-bit Power PC Java SDK 02 Jul 2018 English 144,934,389 FC
AIX 64-bit Power PC Java SDK 02 Jul 2018 English 159,917,199 FC
Linux 32-bit i/p Series Java SDK 02 Jul 2018 English 142,878,066 FC
Linux 64-bit i/p Series Java SDK 02 Jul 2018 English 161,107,352 FC
Linux 31-bit S/390 Java SDK 02 Jul 2018 English 133,633,297 FC
Linux 64-bit S/390 Java SDK 02 Jul 2018 English 147,164,958 FC
Linux 32-bit x86 AMD/Intel Java SDK 02 Jul 2018 English 136,083,510 FC
Linux 64-bit x86 AMD/Intel Java SDK 02 Jul 2018 English 147,497,643 FC
Win 32-bit x86 AMD/Intel Java SDK 02 Jul 2018 English 164,980,666 FC
Win 64-bit x86 AMD/Intel Java SDK 02 Jul 2018 English 192,906,378 FC
z/OS 31-bit and 64-bit Java SDK 02 Jul 2018 English 843,579,800 FC

Problems (APARS) fixed
PI99477

Document information

More support for: WebSphere Application Server

Software version: 8.5

Operating system(s): AIX, Linux, Windows, z/OS

Reference #: 0713519

Modified date: 02 July 2018


Translate this page: